Skip to main content
GET
/
2025-09
/
contracts
List all Contracts
curl --request GET \
  --url https://public-api.stora.co/2025-09/contracts \
  --header 'Authorization: Bearer <token>'
{
  "contracts": [
    {
      "id": "ctr_a1b2c3d4e5f6g7h8",
      "_links": {
        "sf:show_contract": {
          "href": "/contracts/ctr_a1b2c3d4e5f6g7h8",
          "title": "Show contract"
        }
      },
      "contact": {
        "id": "con_195h6kfm9ro15lof"
      },
      "contract_template": {
        "id": "ctpl_33ae8d0b2b371ba2"
      },
      "created_at": "2025-02-22T14:41:00Z",
      "name": "Indoor Storage Contract",
      "sent_at": "2025-02-18T09:00:00Z",
      "signed_at": "2025-02-20T10:00:00Z",
      "status": "signed",
      "tenancy": {
        "id": "ten_ac1499df16ae0dea"
      },
      "updated_at": "2025-02-22T14:41:00Z"
    },
    {
      "id": "ctr_b2c3d4e5f6g7h8i9",
      "_links": {},
      "contact": {
        "id": "con_195h6kfm9ro15lof"
      },
      "contract_template": {
        "id": "ctpl_33ae8d0b2b371ba2"
      },
      "created_at": "2025-02-22T14:41:00Z",
      "name": "Voided Storage Contract",
      "sent_at": "2025-01-10T09:00:00Z",
      "signed_at": null,
      "status": "voided",
      "tenancy": {
        "id": "ten_ac1499df16ae0dea"
      },
      "updated_at": "2025-02-22T14:41:00Z"
    },
    {
      "id": "ctr_c3d4e5f6g7h8i9j0",
      "_links": {
        "sf:show_contract": {
          "href": "/contracts/ctr_c3d4e5f6g7h8i9j0",
          "title": "Show contract"
        }
      },
      "contact": {
        "id": "con_195h6kfm9ro15lof"
      },
      "contract_template": {
        "id": "ctpl_33ae8d0b2b371ba2"
      },
      "created_at": "2025-02-22T14:41:00Z",
      "name": "Pending Storage Contract",
      "sent_at": "2025-03-01T09:00:00Z",
      "signed_at": null,
      "status": "pending",
      "tenancy": {
        "id": "ten_ac1499df16ae0dea"
      },
      "updated_at": "2025-02-22T14:41:00Z"
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 3,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at,
updated_at
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC
page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
site_id
string[]

Filter by Site IDs. Supports multiple values separated by a comma.

contact_id
string[]

Filter by Contact IDs. Supports multiple values separated by a comma.

contract_template_id
string[]

Filter by Contract Template IDs. Supports multiple values separated by a comma.

tenancy_id
string[]

Filter by Tenancy IDs. Supports multiple values separated by a comma.

status
enum<string>[]

Filter by status. Supports multiple values separated by a comma.

Available options:
pending,
signed,
voided,
declined,
deleted
expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

created_after
string<date-time>

Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

created_before
string<date-time>

Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

sent_after
string<date-time>

Filters results to sent after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

sent_before
string<date-time>

Filters results to sent before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

signed_after
string<date-time>

Filters results to signed after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

signed_before
string<date-time>

Filters results to signed before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

Response

200 - application/json

list of contracts

List of Contracts

contracts
object[]
meta
object